# Type Alias WidgetDefaultProps

type WidgetDefaultProps = {
inplace: boolean;
isComponentVisible?: boolean;
mode: WidgetDisplayMode;
onChange: (a: CombinedWidgetContent, b: boolean) => void;
onClick?: () => void;
onStateChange: (a: WidgetStateProps) => void;
width: number | undefined;
}

- Defined in jamespot-user-api/src/types/widgets.ts:88

##### Index

### Properties

inplace
isComponentVisible?
mode
onChange
onClick?
onStateChange
width

## Properties

### inplace

inplace: boolean

- Defined in jamespot-user-api/src/types/widgets.ts:90

### `Optional` isComponentVisible

isComponentVisible?: boolean

- Defined in jamespot-user-api/src/types/widgets.ts:91

### mode

mode: WidgetDisplayMode

- Defined in jamespot-user-api/src/types/widgets.ts:92

### onChange

onChange: (a: CombinedWidgetContent, b: boolean) => void

- Defined in jamespot-user-api/src/types/widgets.ts:94

### `Optional` onClick

onClick?: () => void

- Defined in jamespot-user-api/src/types/widgets.ts:93

### onStateChange

onStateChange: (a: WidgetStateProps) => void

- Defined in jamespot-user-api/src/types/widgets.ts:95

### width

width: number | undefined

- Defined in jamespot-user-api/src/types/widgets.ts:89